Method: projects.locations.connectionProfiles.discover

Use this method to discover a connection profile. The discover API call exposes the data objects and metadata belonging to the profile. Typically, a request returns children data objects of a parent data object that's optionally supplied in the request.

HTTP request


POST https://datastream.googleapis.com/v1/{parent}/connectionProfiles:discover

Path parameters

Parameters
parent

string

Required. The parent resource of the connection profile type. Must be in the format projects/*/locations/*.

Authorization requires the following IAM permission on the specified resource parent:

  • datastream.connectionProfiles.discover

Request body

The request body contains data with the following structure:

JSON representation
{

  // Union field target can be only one of the following:
  "connectionProfile": {
    object (ConnectionProfile)
  },
  "connectionProfileName": string
  // End of list of possible types for union field target.

  // Union field hierarchy can be only one of the following:
  "fullHierarchy": boolean,
  "hierarchyDepth": integer
  // End of list of possible types for union field hierarchy.

  // Union field data_object can be only one of the following:
  "oracleRdbms": {
    object (OracleRdbms)
  },
  "mysqlRdbms": {
    object (MysqlRdbms)
  },
  "postgresqlRdbms": {
    object (PostgresqlRdbms)
  },
  "sqlServerRdbms"